# Uses of Interface
org.apache.commons.math3.optimization.MultivariateDifferentiableVectorOptimizer

Packages that use MultivariateDifferentiableVectorOptimizer
Package
Description
org.apache.commons.math3.optimization
All classes and sub-packages of this package are deprecated.
org.apache.commons.math3.optimization.fitting
This package provides classes to perform curve fitting.

## Uses of MultivariateDifferentiableVectorOptimizer in org.apache.commons.math3.optimization

Classes in org.apache.commons.math3.optimization that implement MultivariateDifferentiableVectorOptimizer
Modifier and Type
Class
Description
`class`
`MultivariateDifferentiableVectorMultiStartOptimizer`
Deprecated.
As of 3.1 (to be removed in 4.0).
Constructors in org.apache.commons.math3.optimization with parameters of type MultivariateDifferentiableVectorOptimizer
Modifier
Constructor
Description
``
`MultivariateDifferentiableVectorMultiStartOptimizer(MultivariateDifferentiableVectorOptimizer optimizer, int starts, RandomVectorGenerator generator)`
Deprecated.
Create a multi-start optimizer from a single-start optimizer.

## Uses of MultivariateDifferentiableVectorOptimizer in org.apache.commons.math3.optimization.fitting

Constructors in org.apache.commons.math3.optimization.fitting with parameters of type MultivariateDifferentiableVectorOptimizer
Modifier
Constructor
Description
``
`CurveFitter(MultivariateDifferentiableVectorOptimizer optimizer)`
Deprecated.
Simple constructor.